"""=================================================================
با فرض اینکه ماتریس A با مرتبه M*N قبلاً ذخیره شده است؛ منطق برنامه‌ای
را طراحی کنید که عناصر این ماتریس را برعکس ترتیب ذخیره از درایه سطر
آخر ستون آخر به درایه سطر اول ستون اول نمایش دهد.
================================================================="""

#         Make Matrix A
#-------------------------------------

A = []
for i in range(1,4):
    row = []
    for j in range(1,5):
        row.append(i+j)
        print(i+j,end="\t")
    print()
    A.append(row)

print("="*30)
#            show inverse obj
#---------------------------------------

for i in range(len(A)-1,-1,-1):
    for j in range(len(A[i])-1,-1,-1):
        print(A[i][j],end="\t")
    print()
